## org.codehaus.groovy.control
Interface HasCleanup

All Known Subinterfaces:
  ReaderSource

All Known Implementing Classes:
  AbstractReaderSource, FileReaderSource, InputStreamReaderSource, Janitor, StringReaderSource, URLReaderSource

    public interface HasCleanup

An interface for things that need to be cleaned up after operations complete.

Version:
  $Id: HasCleanup.java 10493 2008-01-19 10:23:02Z russel $
Author:
  Chris Poirier

Method Summary
`void` `cleanup()`

Method Detail

### cleanup

    void cleanup()

Copyright © 2003-2009 The Codehaus. All rights reserved.